Update loyalty website page sections
curl --request POST \
--url https://admin.snagsolutions.io/api/loyalty/website_page_sections \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loyaltyPageSections": [
{
"isEnabled": true,
"sortIdentifier": 123,
"id": "<string>"
}
]
}
'import requests
url = "https://admin.snagsolutions.io/api/loyalty/website_page_sections"
payload = {
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loyaltyPageSections": [
{
"isEnabled": True,
"sortIdentifier": 123,
"id": "<string>"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
websiteId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
loyaltyPageSections: [{isEnabled: true, sortIdentifier: 123, id: '<string>'}]
})
};
fetch('https://admin.snagsolutions.io/api/loyalty/website_page_sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"sortIdentifier": 123
}
]
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"message": "Not found"
}{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Loyalty
Update loyalty website page sections
Update loyalty website page sections
POST
/
api
/
loyalty
/
website_page_sections
Update loyalty website page sections
Was this page helpful?
⌘I